Bug 51903 - RPM woes after upgrading from 3.x to 4.0.2
RPM woes after upgrading from 3.x to 4.0.2
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-16 13:59 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-16 13:59:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-16 13:59:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start with a stock 6.2 install (everything)
2. upgrade to db3
3. rebuild rpm database
4. install rpm 4.0.2
5. forget to rebuild rpm database the second time
6. install other rpms.
7. rpm -qa or rpm --rebuilddb

Actual Results:  segfault

Expected Results:  not a segfault

Additional info:

I tried doing a rpm --rebuilddb -vv, and this completed without a 
segfault.  However, a following rpm -qa shows a list of rpms that is much 
shorter than it should be.

Other info:
RH 6.2
kernel (i was in the process of upgrading to 2.2.19-6.2.7smp when this 
happened.  I have since completed the upgrade)
Comment 1 Jeff Johnson 2001-08-17 13:36:22 EDT
This problem was fixed by reinstalling (private e-mail).

Note You need to log in before you can comment on or make changes to this bug.